RSA Plugin Activation Fails (Doc ID 2057901.1)

Last updated on SEPTEMBER 14, 2016

Applies to:

Oracle Access Manager - Version 11.1.2.2.0 to 11.1.2.2.0 [Release 11g]
Information in this document applies to any platform.

Symptoms

Out of the box, RSA plugin is not listed under plugins in Oracle Access Manager (OAM)11g R2PS2 environment. However,
you can follow the following knowledge based authentication (KBA) article to import the RSA plugin.


"OAM11gR2PS1: RSA SecurID Plugin not listed under plugins in oamconsole. (Doc ID 1578615.1)"

The RSA Plugin "import/distribute" works fine, however the following error is thrown upon attempting to activate the plugin.

Caused By: org.osgi.framework.BundleException: Unresolved constraint in bundle RSAPlugin [1]: Unable to resolve 1.0: missing requirement [1.0] package; (package=javax.naming)
  at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3404)
  at org.apache.felix.framework.Felix.startBundle(Felix.java:1714)

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms